{
  "name": "anf-data-customer",
  "version": "1.0.0",
  "description": "GraphQL and TypeScript data microservice",
  "repository": {},
  "main": "server.js",
  "scripts": {
    "start": "nodemon -w src --ext ts --exec ts-node src/server.ts",
    "test": "mocha -r ts-node/register tests/**/*.test.ts",
    "coverage": "nyc -r lcov -e .ts -x \"*.test.ts\" npm run test",
    "build": "tsc",
    "clean": "rm -rf node_modules && rm -rf build",
    "reinstall": "npm run clean && npm install",
    "rebuild": "npm run clean && npm install && rm -rf build && npm run build --prod"
  },
  "keywords": [],
  "author": "",
  "license": "MIT",
  "dependencies": {
    "apollo-server": "^2.13.1",
    "apollo-server-express": "^2.13.1",
    "compression": "^1.7.4",
    "cors": "^2.8.5",
    "express": "^4.17.1",
    "graphql": "^15.0.0",
    "graphql-tag": "^2.10.3",
    "http": "0.0.1-security",
    "ncp": "^2.0.0",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "type-graphql": "^1.0.0-rc.1",
    "typeorm": "^0.2.24"
  },
  "devDependencies": {
    "@types/chai": "^4.2.11",
    "@types/compression": "^1.7.0",
    "@types/express": "^4.17.6",
    "@types/graphql-depth-limit": "^1.1.2",
    "@types/mocha": "^7.0.2",
    "@types/node": "^14.0.3",
    "apollo-cache-inmemory": "^1.6.6",
    "apollo-client": "^2.6.10",
    "apollo-link-http": "^1.5.17",
    "chai": "^4.2.0",
    "class-validator": "^0.12.2",
    "graphql-depth-limit": "^1.1.0",
    "graphql-import": "^1.0.2",
    "graphql-import-node": "0.0.4",
    "mocha": "^7.1.2",
    "node-fetch": "^2.6.0",
    "nodemon": "^2.0.4",
    "nyc": "^15.0.1",
    "supertest": "^4.0.2",
    "ts-node": "^8.10.1",
    "typescript": "^3.9.2"
  }
}
